package cn.com.poc.equity.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.equity.entity.BizMemberEquityPayOrderLogEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizMemberEquityPayOrderLogService extends BaseService {

    BizMemberEquityPayOrderLogEntity get(java.lang.Long id) throws Exception;

    List<BizMemberEquityPayOrderLogEntity> findByExample(BizMemberEquityPayOrderLogEntity example,PagingInfo pagingInfo);
    
    BizMemberEquityPayOrderLogEntity save(BizMemberEquityPayOrderLogEntity entity) throws Exception;

    BizMemberEquityPayOrderLogEntity update(BizMemberEquityPayOrderLogEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}